let box = document.getElementById("result");

function myFetch() {
  fetch("http://47.75.215.96:3000/uba/param/role")
    .then(function(response) {
      return response.json();
    })
    .then(function(myJson) {
      box.innerHTML = "FETCH 返回结果：" + JSON.stringify(myJson);
    });
}

function myAjax() {
  var xhr = new XMLHttpRequest();
  xhr.onreadystatechange = function() {
    switch (xhr.readyState) {
      case 0:
        console.log(0, "未初始化....");
        break;
      case 1:
        console.log(1, "请求参数已准备，尚未发送请求...");
        break;
      case 2:
        console.log(2, "已经发送请求,尚未接收响应");
        break;
      case 3:
        console.log(3, "正在接受部分响应.....");
        break;
      case 4:
        console.log(4, "响应全部接受完毕");
        if ((xhr.status >= 200 && xhr.status < 300) || xhr.status == 304) {
          box.innerHTML = "AJAX 返回结果：" + xhr.responseText;
        } else {
          box.innerHTML = "error:" + xhr.status;
        }
        break;
    }
  };
  xhr.open("get", "http://47.75.215.96:3000/uba/param/role");
  xhr.send(null);
}
