
(function(root,factory){
    if(typeof define === 'function' && define.amd){
        define(['jquery'],factory);
    } else if(typeof exports === 'object'){
        module.exports = factory(require('jquery'));
    } else {
        root.cmbc = factory(root.jQuery || root.zepto);
    }
}(this,function($){
    var defaultOpt = {
        ajax: {
            options: {
                needEncrypt: true,
                selfDefined: false,
            },
            param: {
                request: {
                    header: {
                        appId: '1',
                        appVersion: '1.0',
                        transId: '',
                        net: {
                            ip: '1.1.1.1'
                        },
                        device: {
                            osType: '01'
                        },
                        reqSeq: '0'
                    },
                    body: {}
                }
            }
        }
    };

    var callClientForComm = function (action, param, className) {
        var className = "InteractJsForComm";
        callClient.call(this,action, param, className);
    };

    var callClient = function (action, param, className) {

        param = makeCallback(param);

        var funcStr = "window." + className + "." + action + "('" + JSON.stringify(param) + "')";
        eval(funcStr);

    }

    var makeCallback = function (param) {
        if (typeof param.success == 'function') {
            var timestamp = Date.parse(new Date());
            var rnd = Math.floor(Math.random()*100000000);
            this['callback' + timestamp + rnd] = (function (fn) {
                return function (res) {
                    fn(res);
                }
            })(param.success);
            param.success = 'callback' + timestamp + rnd;
        }
        return param;
    }

    return {
        callClientForComm:callClientForComm,
    }
}))